Subject: bug#25527: PostgreSQL retains references to ld-wrapper and coreutils

From: zimoun <[email-masked]>
Date: Fri, 23 Oct 2020 13:15:01 +0200

Hi,

On Fri, 23 Oct 2020 at 12:05, Ludovic Courtès <[email-masked]> wrote:

> I think you’re mistaken:  :-)

Indeed!  Thank you for the explanation.

The manual says (emphasis by me):

        References are a subset of the inputs of the derivation; this
        subset is AUTOMATICALLY COMPUTED by the build daemon by scanning
        all the files in the outputs.

Therefore, how is it computed?  Or what is the entry point to understand
how the build daemon does?

The output is the folder $(guix build postgresql)/, right?  So it means
one (or more) file refers to ld-wrapper and coreutils.  How can I find
which one?  Other said, what are the tools I could use?

All the best,
simon